<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Termine\TermineSammelAenderung;

class TermineSammelAenderungUseCase extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TermineSammelAenderung\TermineSammelAenderungUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_VA;
  }

  public static function getToolSectionId()
  {
    return 633;
  }

  protected function getFelderRechte(): array
  {
    return array(
      'datum' => array('633.117', '633.118'),
      'ausfall' => array('633.123'),
      'kursort' => array('633.116'),
      'bemerkung' => array('633.124'),
      'beginn' => array('633.119'),
      'ue' => array('633.328'),
      'ende' => array('633.120'),
      'minuten' => array('633.121'),
      'pause' => array('633.122')
    );
  }
}